(******************************************************************************)
(* Fusion Folder Keeper - Transpear Software                                  *)
(******************************************************************************)
{                                                                              }
{ VERSION      : 1.3                                                           }
{ AUTHOR       : Kelvin Westlake                                               }
{ CREATED      : 29th Semptember 2000                                          }
{ WEBSITE      : http://www.Transpear.cjb.net                                  }
{ EMAIL        : KWestlae@yahoo.com                                            }
{                                                                              }
{ NOTES: Just used as a simple input to get the name of the new Folder         }
{******************************************************************************}

unit InputDialog;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TTFInputDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Panel1: TPanel;
    dlgEdit: TEdit;
  private
    { Private declarations }
  public
     Input : String;
     Function Execute(Str : String): Boolean;
  end;


implementation

{$R *.DFM}

Function TTFInputDlg.Execute(Str : String): Boolean;
Begin
  DlgEdit.Text:=Str;
  IF ShowModal=mrOK THEN
  Begin
    Input:=DlgEdit.Text;
    Result:=True;
  End
  Else Result:=False;
End;

End.
